# GET个股基本面数据

### 接口说明

该系列接口提供个股的基本面信息，包括估值历史、机构评级、公司概览、行业排名、概念标签、公司大事日历及AI关键驱动分析。

### 请求频率

跟其他接口请求频率使用同一个频率限制。具体每秒请求次数根据套餐决定。可以参考 [接口限制说明](https://docs.infoway.io/getting-started/api-limitation)

### 错误码说明

参考 [HTTP错误码说明](https://docs.infoway.io/getting-started/error-codes/http)

### 请求头

| 参数       | 类型     | 必填 | 描述           |
| -------- | ------ | -- | ------------ |
| `apiKey` | String | 是  | 您套餐中的API Key |

### 多语言支持 (I18n)

本系列所有接口（个股、市场、板块）均支持多语言返回，您可以通过追加 Query 参数 `lang` 来控制主要名称的语言：

* `lang=en`：返回英文结果（默认）
* `lang=zh-CN`：返回简体中文结果

> \[!TIP] 例如请求 `?lang=zh-CN` 时，板块名称会返回 `安防与报警服务`，而加上 `?lang=en` 时则会返回原生对应的 `Security and Alarm Services`。缓存相互独立，互不影响。

### 标的代码格式

| 市场    | 格式        | 示例          |
| ----- | --------- | ----------- |
| 港股    | `{代码}.HK` | `700.HK`    |
| 美股    | `{代码}.US` | `AAPL.US`   |
| A股上交所 | `{代码}.SH` | `600519.SH` |
| A股深交所 | `{代码}.SZ` | `000001.SZ` |

***

#### 估值时序

获取标的PE/PB历史数据，可用于画估值走势图。

**接口地址**

* 基本路径：`/common/v2/basic/stock/valuation/{symbol}`
* 完整路径：`https://data.infoway.io/common/v2/basic/stock/valuation/{symbol}`

**路径参数**

| 参数名      | 类型     | 必填 | 描述   | 示例值       |
| -------- | ------ | -- | ---- | --------- |
| `symbol` | String | 是  | 标的代码 | `AAPL.US` |

**返回示例**

```json
{
  "symbol": "AAPL.US",
  "data": {
    "kline_type": "day",
    "pe_list": [
      {"timestamp": "1743177600", "pe": "34.04", "eps": "", "last_done": ""},
      {"timestamp": "1743264000", "pe": "33.81", "eps": "", "last_done": ""}
    ],
    "pb_list": [
      {"timestamp": "1743177600", "pb": "51.20", "bps": "", "last_done": ""}
    ]
  }
}
```

| 字段名           | 类型     | 描述       |
| ------------- | ------ | -------- |
| `kline_type`  | String | K线类型     |
| `pe_list`     | Array  | PE历史数据列表 |
| `> timestamp` | String | 时间戳      |
| `> pe`        | String | 市盈率      |
| `pb_list`     | Array  | PB历史数据列表 |
| `> timestamp` | String | 时间戳      |
| `> pb`        | String | 市净率      |

***

#### 机构评级

获取机构买入/增持/持有/减持/卖出评级家数统计趋势。

**接口地址**

* 基本路径：`/common/v2/basic/stock/ratings/{symbol}`
* 完整路径：`https://data.infoway.io/common/v2/basic/stock/ratings/{symbol}`

**路径参数**

| 参数名      | 类型     | 必填 | 描述   | 示例值      |
| -------- | ------ | -- | ---- | -------- |
| `symbol` | String | 是  | 标的代码 | `700.HK` |

**返回示例**

```json
{
  "symbol": "700.HK",
  "data": {
    "elist": [
      {
        "buy": "33", "over": "11", "hold": "3",
        "under": "0", "sell": "0", "total": "49",
        "date": "1517328000"
      }
    ]
  }
}
```

| 字段名       | 类型     | 描述     |
| --------- | ------ | ------ |
| `elist`   | Array  | 评级数据列表 |
| `> buy`   | String | 买入家数   |
| `> over`  | String | 增持家数   |
| `> hold`  | String | 持有家数   |
| `> under` | String | 减持家数   |
| `> sell`  | String | 卖出家数   |
| `> total` | String | 总评级家数  |
| `> date`  | String | 日期时间戳  |

***

#### 公司概览

获取公司简介、高管信息、行业分类等基础信息。

**接口地址**

* 基本路径：`/common/v2/basic/stock/company/{symbol}`
* 完整路径：`https://data.infoway.io/common/v2/basic/stock/company/{symbol}`

**路径参数**

| 参数名      | 类型     | 必填 | 描述   | 示例值      |
| -------- | ------ | -- | ---- | -------- |
| `symbol` | String | 是  | 标的代码 | `700.HK` |

**返回示例**

```json
{
  "symbol": "700.HK",
  "data": {
    "company_name": "腾讯控股",
    "industry": "互联网内容与信息",
    "description": "腾讯控股有限公司是一家主要从事增值服务及网络广告业务的投资控股公司...",
    "executives": [...]
  }
}
```

***

#### 全景数据

获取个股所属行业及行业内排名、所属概念板块列表。

**接口地址**

* 基本路径：`/common/v2/basic/stock/panorama/{symbol}`
* 完整路径：`https://data.infoway.io/common/v2/basic/stock/panorama/{symbol}`

**路径参数**

| 参数名      | 类型     | 必填 | 描述   | 示例值      |
| -------- | ------ | -- | ---- | -------- |
| `symbol` | String | 是  | 标的代码 | `700.HK` |

**返回示例**

```json
{
  "symbol": "700.HK",
  "data": {
    "belonged_industry": {
      "counter_id": "BK/HK/IN20232",
      "name": "互联网内容与信息",
      "rank": 1,
      "stock_num": 24
    },
    "concepts": {
      "list": [
        {"counter_id": "BK/HK/CP20064", "name": "北水核心资产", "stock_num": 56},
        {"counter_id": "BK/HK/CP20024", "name": "游戏", "stock_num": 30}
      ]
    }
  }
}
```

| 字段名                 | 类型      | 描述      |
| ------------------- | ------- | ------- |
| `belonged_industry` | Object  | 所属行业信息  |
| `> counter_id`      | String  | 行业板块ID  |
| `> name`            | String  | 行业名称    |
| `> rank`            | Integer | 行业内排名   |
| `> stock_num`       | Integer | 行业内股票数量 |
| `concepts.list`     | Array   | 概念板块列表  |
| `> counter_id`      | String  | 概念板块ID  |
| `> name`            | String  | 概念名称    |
| `> stock_num`       | Integer | 概念内股票数量 |

***

#### 概念标签

获取个股所属的所有概念板块标签。

**接口地址**

* 基本路径：`/common/v2/basic/stock/concepts/{symbol}`
* 完整路径：`https://data.infoway.io/common/v2/basic/stock/concepts/{symbol}`

**路径参数**

| 参数名      | 类型     | 必填 | 描述   | 示例值      |
| -------- | ------ | -- | ---- | -------- |
| `symbol` | String | 是  | 标的代码 | `700.HK` |

**返回示例**

```json
{
  "symbol": "700.HK",
  "data": {
    "concept": {
      "tags": [
        {"name": "游戏", "counter_id": "BK/HK/CP20024", "chg": "-0.336"},
        {"name": "云计算", "counter_id": "BK/HK/CP20062", "chg": "-0.408"}
      ]
    }
  }
}
```

| 字段名            | 类型     | 描述     |
| -------------- | ------ | ------ |
| `concept.tags` | Array  | 概念标签列表 |
| `> name`       | String | 概念名称   |
| `> counter_id` | String | 概念板块ID |
| `> chg`        | String | 涨跌幅    |

***

#### 公司大事

获取公司财报日期、分红日期等事件日历。

**接口地址**

* 基本路径：`/common/v2/basic/stock/events/{symbol}`
* 完整路径：`https://data.infoway.io/common/v2/basic/stock/events/{symbol}`

**路径参数**

| 参数名      | 类型     | 必填 | 描述   | 示例值      |
| -------- | ------ | -- | ---- | -------- |
| `symbol` | String | 是  | 标的代码 | `700.HK` |

**Request param入参说明**

| 参数名     | 类型      | 必填 | 描述              | 示例值  |
| ------- | ------- | -- | --------------- | ---- |
| `limit` | Integer | 否  | 返回条数，1-100，默认20 | `20` |

**返回示例**

```json
{
  "symbol": "700.HK",
  "data": {
    "items": [
      {
        "event_type": "earnings",
        "event_date": "1774000000",
        "description": "2024年度业绩公告"
      }
    ]
  }
}
```

***

#### 关键驱动分析

获取AI生成的业务驱动因素分析。

**接口地址**

* 基本路径：`/common/v2/basic/stock/drivers/{symbol}`
* 完整路径：`https://data.infoway.io/common/v2/basic/stock/drivers/{symbol}`

**路径参数**

| 参数名      | 类型     | 必填 | 描述   | 示例值      |
| -------- | ------ | -- | ---- | -------- |
| `symbol` | String | 是  | 标的代码 | `700.HK` |

**返回示例**

```json
{
  "symbol": "700.HK",
  "data": {
    "drivers": [
      {
        "name": "游戏业务",
        "children": [
          {"name": "国内游戏收入", "impact": "high"},
          {"name": "海外游戏收入", "impact": "medium"}
        ]
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infoway.io/rest-api/basic-info/get-stock-fundamental.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
